aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-11-30 16:01:56 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-12-03 14:39:33 +0000
commitffca3883316092731aa77ea8340a5fe855a3aefb (patch)
treeb7571f0b25f99a9632f3daca3e30da96aeb81694
parenta1ceb00779db4c3ef55d2cae5a6ed9fb20c13964 (diff)
downloadaports-ffca3883316092731aa77ea8340a5fe855a3aefb.tar.bz2
aports-ffca3883316092731aa77ea8340a5fe855a3aefb.tar.xz
main/beecrypt: upgrade to 4.2.1
-rw-r--r--main/beecrypt/APKBUILD29
1 files changed, 15 insertions, 14 deletions
diff --git a/main/beecrypt/APKBUILD b/main/beecrypt/APKBUILD
index 3cab1ebc42..fd58cde0cd 100644
--- a/main/beecrypt/APKBUILD
+++ b/main/beecrypt/APKBUILD
@@ -1,25 +1,24 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=beecrypt
-pkgver=4.1.2
-pkgrel=9
-pkgdesc="general-purpose cryptography library"
+pkgver=4.2.1
+pkgrel=0
+pkgdesc="A general-purpose cryptography library"
url="http://sourceforge.net/projects/beecrypt"
arch="all"
-license="LGPL"
-depends=
+license="LGPL2+"
+depends=""
makedepends="libtool m4"
-
subpackages="$pkgname-dev"
-source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz
- $pkgname-4.1.2-base64.patch
- "
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$pkgver.tar.gz"
_builddir="$srcdir/$pkgname-$pkgver"
prepare() {
+ local i
cd "$_builddir"
- for i in ../*.patch; do
- msg "Applying $i..."
- patch -p1 < $i || return 1
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
done
update_config_sub || return 1
}
@@ -45,5 +44,7 @@ package() {
make libaltdir=/usr/lib DESTDIR="$pkgdir" install || return 1
rm "$pkgdir"/usr/lib/*.la || return 1
}
-md5sums="820d26437843ab0a6a8a5151a73a657c beecrypt-4.1.2.tar.gz
-01444edbffee71c2d8818fa66a3a8555 beecrypt-4.1.2-base64.patch"
+
+md5sums="8441c014170823f2dff97e33df55af1e beecrypt-4.2.1.tar.gz"
+sha256sums="286f1f56080d1a6b1d024003a5fa2158f4ff82cae0c6829d3c476a4b5898c55d beecrypt-4.2.1.tar.gz"
+sha512sums="59995d53c024efe6344a21ac0d6d55fbe652488a4a22cc6719f9fc3851d56697fa8738937d48aa1e6f9ebe749de61ac3c79a5f0cea793872213c3bdf922e71bc beecrypt-4.2.1.tar.gz"